This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 972545 - (qt_itemsRemoved) [abrt] QDeclarativeRepeater::itemsRemoved : Process /usr/bin/plasma-desktop was killed by signal 11 (SIGSEGV)
[abrt] QDeclarativeRepeater::itemsRemoved : Process /usr/bin/plasma-desktop w...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
abrt_hash:6343064aec0f05feb3fe0bb53b3...
:
: 1005433 1017082 1018256 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-09 22:35 EDT by Dante
Modified: 2014-02-05 16:44 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:44:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (48.74 KB, text/plain)
2013-06-09 22:35 EDT, Dante
no flags Details
File: cgroup (128 bytes, text/plain)
2013-06-09 22:35 EDT, Dante
no flags Details
File: dso_list (27.04 KB, text/plain)
2013-06-09 22:35 EDT, Dante
no flags Details
File: environ (1.75 KB, text/plain)
2013-06-09 22:35 EDT, Dante
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-09 22:35 EDT, Dante
no flags Details
File: maps (86.71 KB, text/plain)
2013-06-09 22:35 EDT, Dante
no flags Details
File: open_fds (146 bytes, text/plain)
2013-06-09 22:35 EDT, Dante
no flags Details
File: proc_pid_status (799 bytes, text/plain)
2013-06-09 22:35 EDT, Dante
no flags Details
File: xsession_errors (16.12 KB, text/plain)
2013-06-09 22:35 EDT, Dante
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 311871 None None None Never

  None (edit)
Description Dante 2013-06-09 22:35:10 EDT
Version-Release number of selected component:
kde-workspace-4.10.3-1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/plasma-desktop --nocrashhandler
core_backtrace: 
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasma-desktop
kernel:         3.9.4-200.fc18.i686.PAE
runlevel:       N 5
uid:            1000
var_log_messages: Jun  9 22:49:32 Black abrt[5529]: Saved core dump of pid 4392 (/usr/bin/plasma-desktop) to /var/tmp/abrt/ccpp-2013-06-09-22:49:28-4392 (179109888 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 KCrash::defaultCrashHandler at /usr/src/debug/kdelibs-4.10.3/kdeui/util/kcrash.cpp:346
 #4 QMetaObject::addGuard at kernel/qobject.cpp:400
 #5 QPointer at ../../src/corelib/kernel/qpointer.h:62
 #6 takeAt at ../../src/corelib/tools/qlist.h:486
 #7 QDeclarativeRepeater::itemsRemoved at graphicsitems/qdeclarativerepeater.cpp:407
 #8 qt_static_metacall at .moc/release-shared/moc_qdeclarativerepeater_p.cpp:105
 #9 QDeclarativeRepeater::qt_static_metacall at .moc/release-shared/moc_qdeclarativerepeater_p.cpp:93
 #10 QMetaObject::activate at kernel/qobject.cpp:3539
 #11 QDeclarativeVisualModel::itemsRemoved at .moc/release-shared/moc_qdeclarativevisualitemmodel_p.cpp:160
 #12 QDeclarativeVisualDataModel::_q_itemsRemoved at graphicsitems/qdeclarativevisualitemmodel.cpp:1314

Potential duplicate: bug 951987
Comment 1 Dante 2013-06-09 22:35:17 EDT
Created attachment 758995 [details]
File: backtrace
Comment 2 Dante 2013-06-09 22:35:21 EDT
Created attachment 758996 [details]
File: cgroup
Comment 3 Dante 2013-06-09 22:35:26 EDT
Created attachment 758997 [details]
File: dso_list
Comment 4 Dante 2013-06-09 22:35:30 EDT
Created attachment 758999 [details]
File: environ
Comment 5 Dante 2013-06-09 22:35:35 EDT
Created attachment 759000 [details]
File: limits
Comment 6 Dante 2013-06-09 22:35:40 EDT
Created attachment 759001 [details]
File: maps
Comment 7 Dante 2013-06-09 22:35:45 EDT
Created attachment 759002 [details]
File: open_fds
Comment 8 Dante 2013-06-09 22:35:50 EDT
Created attachment 759003 [details]
File: proc_pid_status
Comment 9 Dante 2013-06-09 22:35:54 EDT
Created attachment 759004 [details]
File: xsession_errors
Comment 10 Dante 2013-09-13 21:12:22 EDT
I was using Firefox

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/plasma-desktop --nocrashhandler
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasma-desktop
kernel:         3.10.10-100.fc18.i686.PAE
package:        kde-workspace-4.10.5-3.fc18
reason:         Process /usr/bin/plasma-desktop was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000
Comment 11 Laurent Rineau 2013-09-17 07:55:51 EDT
The workspace crashes apparently randomdly. Maybe that is related to notifications.

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/plasma-desktop --nocrashhandler
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasma-desktop
kernel:         3.10.10-100.fc18.x86_64
package:        kde-workspace-4.10.5-3.fc18
reason:         Process /usr/bin/plasma-desktop was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000
Comment 12 Laurent Rineau 2013-09-19 12:34:40 EDT
About once an hour, my plasma desktop crashes, and is relaunched automatically (sometimes with a delay). I have no idea what is the cause. Sorry.

The backtrace is difficult to read. The error comes from a QScript, and is related to a QDeclarativeListModel and a QDeclarativeVisualModel. But we cannot know more. :-\

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/plasma-desktop --nocrashhandler
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasma-desktop
kernel:         3.10.11-100.fc18.x86_64
package:        kde-workspace-4.10.5-3.fc18
reason:         Process /usr/bin/plasma-desktop was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000
Comment 13 Rex Dieter 2013-09-19 13:32:37 EDT
This one is a Qt bug... see also:

http://bugs.kde.org/311871

but upstream is having trouble creating a minimal test case. :-/
Comment 14 Laurent Rineau 2013-10-11 10:33:41 EDT
The crashs occurs several time per day. I have not understood how to reproduce it.

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/plasma-desktop --nocrashhandler
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasma-desktop
kernel:         3.10.13-101.fc18.x86_64
package:        kde-workspace-4.10.5-3.fc18
reason:         Process /usr/bin/plasma-desktop was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Laurent Rineau 2013-10-11 10:48:10 EDT
I am sorry I keep reporting that bug (that was the third time). I forgot I had already reported it. Is there a way to tell abrt I no longer want to be notified of crashes from plasma-desktop? It seems abrt reset the "reported" flag each time the package kde-workspace is upgraded.
Comment 16 Rex Dieter 2013-10-11 12:45:10 EDT
*** Bug 1018256 has been marked as a duplicate of this bug. ***
Comment 17 Rex Dieter 2013-10-11 12:45:40 EDT
*** Bug 1005433 has been marked as a duplicate of this bug. ***
Comment 18 Rex Dieter 2013-10-11 12:45:57 EDT
*** Bug 1017082 has been marked as a duplicate of this bug. ***
Comment 19 Kevin Kofler 2013-10-13 18:48:00 EDT
I guess ABRT cannot locally detect the report as a duplicate, only the server component figures out it's a duplicate and redirects the report to this bug, that's why the client lets you report the bug multiple times.
Comment 20 Fedora End Of Life 2013-12-21 08:56:14 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 21 Fedora End Of Life 2014-02-05 16:44:38 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.